moz2po(1)

NAME
moz2po - Convert Mozilla .dtd and .properties files to Gettext PO localization files.

SYNOPSIS

moz2po [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [-S|--timestamp] [-P|--pot] [--duplicates DUPLICATESTYLE]

DESCRIPTION
See: http://docs.translatehouse.org/projects/translate-toolkit/en/latest/commands/moz2po.html for examples and usage instructions.

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in *, dtd, inc, ini, it, js, lang, manifest, properties, rdf formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in *, dtd.po, dtd.pot, inc.po, inc.pot, ini.po, ini.pot, it.po, it.pot, js, lang.po, lang.pot, manifest, properties.po, properties.pot, rdf formats

-t/--template
    read from TEMPLATE in *, dtd, inc, ini, it, js, lang, manifest, properties, rdf formats

-S/--timestamp
    skip conversion if the output file has newer timestamp

-P/--pot
    output PO Templates (.pot) rather than PO files (.po)

--duplicates
    what to do with duplicate strings (identical source text): merge, msgctxt (default: 'msgctxt')